Subject: Re: git-svn eliminating master

From: Russ Brown <[email-masked]>
Date: Fri, 28 Sep 2007 17:34:17 -0500

Junio C Hamano wrote:
> Russ Brown <[email-masked]> writes:
> 
>> So I've been using git-svn for a while, and just decided to try
>> publishing my repo via gitweb so I can experiment with showing others my
>> local branches before I dcommit them to the subversion repository (i.e.
>> allowing code review prior to commit).
>>
>> It's working pretty nicely: the only problem I have is the master
>> branch. I don't use master at all, and I'm willing to be that a lot of
>> other git-svn users don't either. I take all of my branches from either
>> trunk or one of the other upstream svn server branches.
>>
>> The problem is gitweb appears to show the master branch by default,
>> while I'd rather show trunk by default.
> 
> I think gitweb shows wherever HEAD points at.  Update the file
> on the server and see if it helps.

Nice tip. I've updated that now. I'll know if it's worked once trunk
gets committed to again: I've rebased master against it so both
currently point at the same commit.

-- 

Russ